# Interface methods for submodule: TransformParametersAdaptorBase
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ObjectProxy as _ObjectProxy


# Interface methods for class: TransformParametersAdaptorBase
class TransformParametersAdaptorBaseProxy(_ObjectProxy):
	def GetNameOfClass(self):
		""""""
		...

	def SetTransform(self, _arg, priorityLower = ...) -> None:
		""""""
		...

	def SetRequiredFixedParameters(self, _arg) -> None:
		""""""
		...

	def GetRequiredFixedParameters(self):
		""""""
		...

	def AdaptTransformParameters(self) -> None:
		""""""
		...

